import { Entity, OneToOne, PrimaryKey, Property } from '@mikro-orm/core';
import { RoomSession } from '../room/roomSession.entity';


@Entity({ tableName: 'mode' })
export class Mode {
  @PrimaryKey()
  id!: number;

  @Property()
  modeName!: string;

  @OneToOne()
  roomSession!: RoomSession;

  constructor(modeName: string, roomSession: RoomSession) {
    this.roomSession = roomSession;
    this.modeName = modeName;

  }
}
