import { Module } from '@nestjs/common';
import { MikroOrmModule } from '@mikro-orm/nestjs';
import { Mode } from './mode.entity';
import { ModeService } from './mode.service';

@Module({
  imports: [MikroOrmModule.forFeature([Mode])],
  providers: [ModeService],
  exports: [ModeService],
})
export class ModeModule {}
