export class RoomSessionResponseDto {
    id: number;
    dateOpened: Date;
    dateClosed?: Date;
    users: {
      id: number;
      userId: string;
      name: string;
    }[];
    roomId: number;
    roomName: string;
  }

export class RoomSessionPointsRequestDto {
    allPoints: { audioPoints: number, videoPoints: number, browserPoints: number, whiteboardPoints: number, notePoints: number };
    totalPoints: number;
    sessionId: number;
}